Bug 67488 - Bad: Installer crashed
Bad: Installer crashed
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-26 04:27 EDT by Jarmo Jdrvenpdd
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:49:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jarmo Jdrvenpdd 2002-06-26 04:27:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (Windows NT 5.0; U)

Description of problem:
While installing a new machine and installation was about to copy packages from a cd rom, it crashed.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Stardard installation of rh. Nothing fancy done.
	

Additional info:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 633, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 353, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 814, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/anaconda/gui.py", line 529, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 135, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 417, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 144, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 209, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 378, in turnOnFilesystems
    thefsset.makeFilesystems (instPath)
  File "/usr/lib/anaconda/fsset.py", line 1028, in makeFilesystems
    self.formatEntry(entry, chroot)
  File "/usr/lib/anaconda/fsset.py", line 981, in formatEntry
    entry.fsystem.formatDevice(entry, self.progressWindow, chroot)
  File "/usr/lib/anaconda/fsset.py", line 545, in formatDevice
    extFileSystem.formatDevice(self, entry, progress, chroot)
  File "/usr/lib/anaconda/fsset.py", line 467, in formatDevice
    entry.mountpoint)
  File "/usr/lib/anaconda/fsset.py", line 1743, in ext2FormatFilesystem
    while s and s != '\b':
  File "/usr/lib/anaconda/gui.py", line 529, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 135, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 417, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 144, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 209, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 486, in doPreInstall
    if method.systemMounted (id.fsset, instPath, id.hdList.selected()):
  File "/usr/lib/anaconda/image.py", line 53, in systemMounted
    self.loopbackFile = "%s%s%s" % (chroot,
IndexError: list index out of range

Local variables in innermost frame:
fsset: <fsset.FileSystemSet instance at 83be398>
chroot: /mnt/sysimage
selected: [MAKEDEV, SysVinit, anacron, apmd, arpwatch, ash, aspell, aspell-devel, at, authconfig, autoconf, autoconf253, autofs, automake, automake15, 
basesystem, bash, bc, bdflush, bind-utils, binutils, bison, byacc, bzip2, bzip2-devel, bzip2-libs, cdecl, chkconfig, cipe, console-tools, cpio, cpp, cracklib, 
cracklib-dicts, 
crontabs, ctags, curl, curl-devel, cvs, cyrus-sasl, cyrus-sasl-devel, cyrus-sasl-md5, cyrus-sasl-plain, db1, db1-devel, db2, db2-devel, db3, db3-devel, db3-utils, 
dev, 
dev86, dhcpcd, dialog, diffstat, diffutils, docbook-dtds, docbook-style-dsssl, docbook-utils, dosfstools, dump, e2fsprogs, e2fsprogs-devel, ed, efax, eject, elinks, 
expat, expat-devel, fetchmail, file, filesystem, fileutils, findutils, finger, finger-server, flex, freetype, ftp, gawk, gcc, gcc-c++, gcc-g77, gd, gd-devel, gdb, gdbm, 
gdbm-devel, gettext, glib, glib2, glibc, glibc-common, glibc-devel, glibc-kernheaders, gmp, gmp-devel, gnupg, gpm, gpm-devel, grep, groff, grub, gzip, hdparm, hesiod, 
hesiod-devel, hotplug, hwdata, indent, indexhtml, info, initscripts, ipchains, iproute, iptables, iptables-ipv6, iputils, isdn4k-utils, isdn4k-utils-devel, kbdconfig, kernel, 
kernel-source, krb5-devel, krb5-libs, krbafs, krbafs-devel, ksymoops, kudzu, kudzu-devel, less, libjpeg, libjpeg-devel, libpng, libpng-devel, libstdc++, libstdc++-devel, 
libtermcap, libtermcap-devel, libtiff, libtiff-devel, libtool, libtool-libs, libusb, libusb-devel, libuser, libuser-devel, libxml2, libxml2-devel, lilo, linuxdoc-tools, lockdev, 
lockdev-devel, logrotate, logwatch, lokkit, losetup, lrzsz, lsof, ltrace, lv, m4, mailcap, mailx, make, man, man-pages, metamail, micq, mingetty, minicom, mkbootdisk, 
mkinitrd, mktemp, mm, mm-devel, modutils, modutils-devel, mount, mouseconfig, mt-st, mtr, mutt, ncftp, ncompress, ncurses, ncurses-devel, net-tools, netconfig, 
newt, 
newt-devel, nfs-utils, njamd, nmap, nmh, nscd, nss_ldap, ntsysv, openjade, openldap, openldap-clients, openldap-devel, openssh, openssh-clients, openssh-server, 
openssl, openssl-devel, pam, pam-devel, pam_krb5, parted, parted-devel, passwd, patch, patchutils, pax, pciutils, pciutils-devel, pcre, pcre-devel, perl, perl-CGI, 
perl-CPAN, perl-DB_File, perl-NDBM_File, perl-SGMLSpm, pidentd, pine, pinfo, pkgconfig, pmake, popt, portmap, ppp, procinfo, procmail, procps, psmisc, pspell, 
pspell-devel, pwdb, python, python-clap, python-devel, python-popt, python-xmlrpc, quota, radvd, raidtools, rarpd, rcs, rdate, rdist, readline, readline-devel, 
redhat-logos, redhat-release, reiserfs-utils, rhn_register, rmt, rootfiles, rp-pppoe, rpm, rpm-build, rpm-devel, rpm-python, rsh, rsh-server, rsync, screen, sed, 
sendmail, sendmail-cf, sendmail-devel, setserial, setup, setuptool, sgml-common, sh-utils, shadow-utils, shapecfg, sharutils, slang, slang-devel, slocate, specspo, 
splint, stat, statserial, strace, stunnel, sudo, swig, symlinks, sysklogd, syslinux, sysstat, talk, talk-server, tar, tcl, tcp_wrappers, tcpdump, tcsh, telnet, telnet-server, 
termcap, tetex, tetex-fonts, tetex-latex, texinfo, textutils, time, timeconfig, tmpwatch, traceroute, tree, tripwire, ucd-snmp, ucd-snmp-utils, units, up2date, usbutils, 
usermode, utempter, util-linux, vim-common, vim-enhanced, vim-minimal, vixie-cron, wget, which, whois, words, wvdial, xdelta, xdelta-devel, xinetd, xml-common, 
yp-tools, ypbind, ypserv, zlib, zlib-devel]
self: <image.CdromInstallMethod instance at 8414e60>
p: arpwatch
changeloop: 1
---------------
Continues....
Comment 1 Michael Fulbright 2002-07-01 16:40:31 EDT
Could you please attach the entire error log?
Comment 2 Michael Fulbright 2002-08-02 15:01:32 EDT
Closing due to inactivity - please reopen if you have additional information to add.
Comment 3 Red Hat Bugzilla 2006-02-21 13:49:09 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.